part of 'school_bloc.dart';

@immutable
abstract class SchoolState extends Equatable {

  const SchoolState();
  @override
  List<Object?> get props => [];
}

class SchoolInitial extends SchoolState {
  const SchoolInitial();
  @override
  List<Object?> get props => [];
}

class SchoolLoading extends SchoolState {
  const SchoolLoading();
}

class SchoolFailed extends SchoolState {
  final String? message;
  const SchoolFailed(this.message);
}

class SchoolSuccess extends SchoolState {
  final SchoolModel schoolModel;
  const SchoolSuccess(this.schoolModel);
  @override
  List<Object?> get props => [schoolModel];
}

class SchoolResetState extends SchoolState {
  const SchoolResetState();
}


